#include <cstdio>
#include <cstdlib>
#include <gmp.h>
#include <library/builtin.cc>
#include <library/dynamic_builtin.cc>
using namespace std;

string gcd (string a, string b) {
    string id__4;
            string id__8 = a;
            string id__9 = b;
        bitset<1> id__5 = eq__int (id__8, id__9);

    if( id__5 == bitset<1>(1)) {
        string id__6 = a;
        id__4=id__6;
    } else {
        string id__7;
                string id__13 = a;
                string id__14 = b;
            bitset<1> id__10 = greater__ (id__13, id__14);

        if( id__10 == bitset<1>(1)) {
                    string id__20 = a;
                    string id__21 = b;
                string id__19 = subtract (id__20, id__21);
                string id__22 = b;
            string id__11 = gcd (id__19, id__22);
            id__7=id__11;
        } else {
                string id__15 = a;
                    string id__17 = b;
                    string id__18 = a;
                string id__16 = subtract (id__17, id__18);
            string id__12 = gcd (id__15, id__16);
            id__7=id__12;
        }
        id__4=id__7;
    }

    return id__4;
}
int main(int argc, char *argv[]){
    //srand( time (NULL) );init();
{
        string id__2 = "6";
        string id__3 = "3";
    string id__1 = gcd (id__2, id__3);
    cout << id__1 << endl;
}
    return 0;
}
